<template>
    <section>
        <div>
            <article v-for="address in addresses" v-bind:key='address.id'>
                <ul>
                    <li>{{address.number}} {{address.street}} </li>
                    <li>{{address.city}}</li>
                </ul>
            </article>
        </div>
    </section>
</template>

<script>
import { Address } from '../services/address';

export default {
    name: 'MyAddresses',
    mounted(){
    let address = new Address();
    this.addresses = address.findAll();
    },
    data() {
        return {
            addresses: [
                {
                    city: 'city1',
                    street: 'street1',
                    number: 'number1'
                },
                {
                    city: 'city2',
                    street: 'street2',
                    number: 'number2'
                },
                {
                    city: 'city3',
                    street: 'street3',
                    number: 'number3'
                }
            ]
        }
    }

}
</script>

<style>
</style>
